Update a tag by ID
curl --request PATCH \
--url https://{subdomain}.nudj.cx/api/v2/admin/tags/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/tags/{id}"
payload = { "value": "<string>" }
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"value": "<string>",
"config": {
"filtering": [
"achievement"
],
"display": [
"achievement"
],
"iconifyIcon": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Tags
Update a tag by ID
Update specific fields of a tag by its ID.
PATCH
/
tags
/
{id}
Update a tag by ID
Authorizations
Headers
The language to update the tag content in. This will update the tag's content for the specified language.
Path Parameters
The ID of the tag to update
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Response
Successful response
A tag
The id of the tag
Pattern:
^[0-9a-fA-F]{24}$The id of the organisation the tag belongs to
Pattern:
^[0-9a-fA-F]{24}$The value of the tag
Minimum string length:
1The configuration of a tag
Show child attributes
Show child attributes
The date the tag was created
The date the tag was last updated
The id of the user who created the tag
Pattern:
^[0-9a-fA-F]{24}$The id of the user who last updated the tag
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?

